Name: mod_pubcookie
Version: 3.3.4a
Release: 3%{?dist}
Summary: A solution for single sign-on authentication to websites
License: ASL 2.0
Group: System Environment/Daemons
Url: http://pubcookie.org
Source0: http://pubcookie.org/downloads/pubcookie-%{version}.tar.gz
Source1: key.config
Source2: modpubcookie.conf
Source3: pubcookie_login.conf
Source4: keyserver.xinetd
Source5: keyclient.8
Source6: keyserver.8
Patch0: pubcookie-3.3.4a-installdir.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: httpd-devel openssl-devel openldap-devel krb5-devel
Requires: mod_ssl

%description
A standalone login server and modules for common web server platforms like
Apache and Microsoft IIS. Together, these components can turn existing
authentication services (like Kerberos, LDAP, or NIS) into a solution for
single sign-on authentication to websites throughout an institution.

%package server
Summary: The pubcookie login server components
Group: System Environment/Daemons
Requires: %{name} = %{version}-%{release}
Requires: xinetd

%description server
This package contains the login server portion of pubcookie.

%prep
%setup -q -n pubcookie-%{version}
%patch0 -p1
# fix weird .c file permission to shut up rpmlint:
%{__chmod} 0644 src/verify_fork.c

%build
%configure \
    --enable-login \
    --enable-default-des \
    --enable-krb5 \
    --enable-ldap \
    --enable-shadow
%{__make} %{?_smp_mflags} \
    LIBS="-lcom_err" \
    top_builddir=%{_libdir}/httpd \
    top_srcdir=%{_libdir}/httpd

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot} \
    top_builddir=%{_libdir}/httpd \
    top_srcdir=%{_libdir}/httpd
%{__install} -D -m 0644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/pubcookie/config
%{__install} -D -m 0644 %{SOURCE2} %{buildroot}/%{_sysconfdir}/httpd/conf.d/modpubcookie.conf
%{__install} -D -m 0644 %{SOURCE3} %{buildroot}/%{_sysconfdir}/httpd/conf.d/pubcookie_login.conf
%{__install} -D -m 0644 %{SOURCE4} %{buildroot}/%{_sysconfdir}/xinetd.d/keyserver
%{__install} -D -m 0644 %{SOURCE5} %{buildroot}/%{_mandir}/man8/keyclient.8
%{__install} -D -m 0644 %{SOURCE6} %{buildroot}/%{_mandir}/man8/keyserver.8

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc doc/*.txt doc/config.html doc/install-mod_pubcookie.html doc/mod_pubcookie-directives.html
%config(noreplace) %{_sysconfdir}/pubcookie/config
%config(noreplace) %{_sysconfdir}/httpd/conf.d/modpubcookie.conf
%{_sbindir}/keyclient
%{_mandir}/man8/keyclient.*
%{_libdir}/httpd/modules/mod_pubcookie.so
%dir %{_localstatedir}/lib/pubcookie

%files server
%defattr(-,root,root,-)
%doc doc/install-filter.html doc/install-login.html doc/krb5-getcred.html
%config(noreplace) %{_sysconfdir}/xinetd.d/keyserver
%config(noreplace) %{_sysconfdir}/httpd/conf.d/pubcookie_login.conf
%{_sbindir}/keyserver
%{_mandir}/man8/keyserver.*
%{_datadir}/pubcookie
%{_localstatedir}/lib/pubcookie/starter.key

%changelog
* Tue Oct 05 2010 Gabriel Somlo <somlo at cmu.edu> 3.3.4a-3
- fixed ia_64 install path

* Sun Sep 05 2010 Gabriel Somlo <somlo at cmu.edu> 3.3.4a-2
- fixed build on F13 and later
- renamed to mod_pubcookie
- added key[client,server] man pages

* Sat Aug 21 2010 Gabriel Somlo <somlo at cmu.edu> 3.3.4a-1
- upgrade to 3.3.4a

* Thu Mar 13 2009 Gabriel Somlo <somlo at cmu.edu> 3.3.3-1
- initial build
